<?php

namespace App\Tests\Event\Signature;

use App\Entity\Contrats;
use App\Event\Signature\ContratEvent;
use PHPUnit\Framework\Attributes\AllowMockObjectsWithoutExpectations;
use PHPUnit\Framework\TestCase;

#[AllowMockObjectsWithoutExpectations]
class ContratEventTest extends TestCase
{
    public function testGetContrats()
    {
        $contrats = $this->createMock(Contrats::class);
        $event = new ContratEvent($contrats);

        $this->assertSame($contrats, $event->getContrats());
    }
}
